import { __awaiter, __extends, __generator } from "tslib";
import qs from 'query-string';
import BaseListGetterApiConsumer from '../base-list-getter-api-consumer/base-list-getter-api-consumer';
var EndpointListGetterApiConsumer = /** @class */ (function (_super) {
    __extends(EndpointListGetterApiConsumer, _super);
    // instance -- axios instance.js
    function EndpointListGetterApiConsumer(_a, params) {
        var baseUrl = _a.baseUrl, instance = _a.instance;
        if (params === void 0) { params = {}; }
        var _this = _super.call(this, params) || this;
        _this.instance = instance;
        _this.baseUrl = baseUrl;
        _this.instance = instance;
        if (params.nestedUrl)
            _this.nestedUrl = params.nestedUrl;
        return _this;
    }
    EndpointListGetterApiConsumer.prototype.getList = function (params) {
        return this._getList(params);
    };
    EndpointListGetterApiConsumer.prototype.getNestedList = function (params) {
        var baseUrl = this.baseUrl + "/" + params.parentId + "/" + this.nestedUrl;
        return this._getList(params, baseUrl);
    };
    EndpointListGetterApiConsumer.prototype._getList = function (_a, baseUrl) {
        var _b = _a.page, page = _b === void 0 ? 1 : _b, _c = _a.size, size = _c === void 0 ? 10 : _c, search = _a.search, sort = _a.sort, fields = _a.fields, ids = _a.ids, _d = _a.searchQuery, searchQuery = _d === void 0 ? 'q' : _d, _e = _a.rest, rest = _e === void 0 ? {} : _e;
        if (baseUrl === void 0) { baseUrl = this.baseUrl; }
        return __awaiter(this, void 0, void 0, function () {
            var stringifyOptions, url, response, err_1;
            return __generator(this, function (_f) {
                switch (_f.label) {
                    case 0:
                        stringifyOptions = {
                            skipEmptyString: true,
                            skipNull: true,
                        };
                        // tslint:disable-next-line: no-parameter-reassignment
                        if (search && search.slice(-1) !== '*')
                            search += '*';
                        url = baseUrl + "?size=" + size + "&page=" + page;
                        if (search)
                            url += "&" + searchQuery + "=" + search;
                        url += "&" + qs.stringify({ sort: sort, fields: fields, ids: ids }, stringifyOptions);
                        if (Object.keys(rest).length) {
                            url += "&" + qs.stringify(rest, stringifyOptions);
                        }
                        _f.label = 1;
                    case 1:
                        _f.trys.push([1, 3, , 4]);
                        return [4 /*yield*/, this.instance.get(url)];
                    case 2:
                        response = _f.sent();
                        response = this.responseHandler(response);
                        if (this.userResponseHandler) {
                            response = this.userResponseHandler(response);
                        }
                        return [2 /*return*/, response];
                    case 3:
                        err_1 = _f.sent();
                        throw err_1;
                    case 4: return [2 /*return*/];
                }
            });
        });
    };
    return EndpointListGetterApiConsumer;
}(BaseListGetterApiConsumer));
export default EndpointListGetterApiConsumer;
//# sourceMappingURL=endpoint-list-getter-api-consumer.js.map