/**
 * Webitel engine API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 20.12.0
 * Contact: support@webitel.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { EngineAggregateHistoryCallRequest } from '../api';
import { EngineBlindTransferCallRequest } from '../api';
import { EngineCreateCallAnnotationRequest } from '../api';
import { EngineCreateCallRequest } from '../api';
import { EngineDtmfCallRequest } from '../api';
import { EngineEavesdropCallRequest } from '../api';
import { EngineHangupCallRequest } from '../api';
import { EngineUpdateCallAnnotationRequest } from '../api';
import { EngineUserCallRequest } from '../api';
/**
 * CallServiceApi - axios parameter creator
 * @export
 */
export declare const CallServiceApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @param {EngineAggregateHistoryCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    aggregateHistoryCall: (body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} id
     * @param {EngineBlindTransferCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    blindTransferCall: (id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create e call
     * @param {EngineCreateCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCall: (body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} callId
     * @param {EngineCreateCallAnnotationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCallAnnotation: (callId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} callId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteCallAnnotation: (callId: string, id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} id
     * @param {EngineDtmfCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    dtmfCall: (id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} id
     * @param {EngineEavesdropCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    eavesdropCall: (id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} id
     * @param {EngineHangupCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    hangupCall: (id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} id
     * @param {EngineUserCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    holdCall: (id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Call item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readCall: (id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {string} [createdAtFrom]
     * @param {string} [createdAtTo]
     * @param {Array<string>} [userId]
     * @param {Array<string>} [agentId]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [teamId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [gatewayId]
     * @param {string} [durationFrom]
     * @param {string} [durationTo]
     * @param {boolean} [skipParent]
     * @param {string} [parentId]
     * @param {Array<string>} [cause]
     * @param {boolean} [existsFile]
     * @param {string} [domainId]
     * @param {string} [number]
     * @param {Array<string>} [direction]
     * @param {string} [answeredAtFrom]
     * @param {string} [answeredAtTo]
     * @param {boolean} [missed]
     * @param {string} [storedAtFrom]
     * @param {string} [storedAtTo]
     * @param {Array<string>} [supervisorId]
     * @param {Array<string>} [state]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchActiveCall: (page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, createdAtFrom?: string | undefined, createdAtTo?: string | undefined, userId?: string[] | undefined, agentId?: string[] | undefined, queueId?: string[] | undefined, teamId?: string[] | undefined, memberId?: string[] | undefined, gatewayId?: string[] | undefined, durationFrom?: string | undefined, durationTo?: string | undefined, skipParent?: boolean | undefined, parentId?: string | undefined, cause?: string[] | undefined, existsFile?: boolean | undefined, domainId?: string | undefined, number?: string | undefined, direction?: string[] | undefined, answeredAtFrom?: string | undefined, answeredAtTo?: string | undefined, missed?: boolean | undefined, storedAtFrom?: string | undefined, storedAtTo?: string | undefined, supervisorId?: string[] | undefined, state?: string[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List of call
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {string} [createdAtFrom]
     * @param {string} [createdAtTo]
     * @param {Array<string>} [userId]
     * @param {Array<string>} [agentId]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [teamId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [gatewayId]
     * @param {string} [durationFrom]
     * @param {string} [durationTo]
     * @param {boolean} [skipParent]
     * @param {string} [parentId]
     * @param {Array<string>} [cause]
     * @param {boolean} [hasFile]
     * @param {string} [domainId]
     * @param {string} [number]
     * @param {string} [direction]
     * @param {string} [answeredAtFrom]
     * @param {string} [answeredAtTo]
     * @param {boolean} [missed]
     * @param {string} [storedAtFrom]
     * @param {string} [storedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [transferFrom]
     * @param {Array<string>} [transferTo]
     * @param {Array<string>} [dependencyId]
     * @param {Array<string>} [tags]
     * @param {Array<string>} [amdResult]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchHistoryCall: (page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, createdAtFrom?: string | undefined, createdAtTo?: string | undefined, userId?: string[] | undefined, agentId?: string[] | undefined, queueId?: string[] | undefined, teamId?: string[] | undefined, memberId?: string[] | undefined, gatewayId?: string[] | undefined, durationFrom?: string | undefined, durationTo?: string | undefined, skipParent?: boolean | undefined, parentId?: string | undefined, cause?: string[] | undefined, hasFile?: boolean | undefined, domainId?: string | undefined, number?: string | undefined, direction?: string | undefined, answeredAtFrom?: string | undefined, answeredAtTo?: string | undefined, missed?: boolean | undefined, storedAtFrom?: string | undefined, storedAtTo?: string | undefined, id?: string[] | undefined, transferFrom?: string[] | undefined, transferTo?: string[] | undefined, dependencyId?: string[] | undefined, tags?: string[] | undefined, amdResult?: string[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} id
     * @param {EngineUserCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    unHoldCall: (id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} callId
     * @param {string} id
     * @param {EngineUpdateCallAnnotationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateCallAnnotation: (callId: string, id: string, body: any, options?: any) => Promise<RequestArgs>;
};
/**
 * CallServiceApi - functional programming interface
 * @export
 */
export declare const CallServiceApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @param {EngineAggregateHistoryCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    aggregateHistoryCall(body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {string} id
     * @param {EngineBlindTransferCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    blindTransferCall(id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<object>>;
    /**
     *
     * @summary Create e call
     * @param {EngineCreateCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCall(body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {string} callId
     * @param {EngineCreateCallAnnotationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCallAnnotation(callId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {string} callId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteCallAnnotation(callId: string, id: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {string} id
     * @param {EngineDtmfCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    dtmfCall(id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<object>>;
    /**
     *
     * @param {string} id
     * @param {EngineEavesdropCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    eavesdropCall(id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {string} id
     * @param {EngineHangupCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    hangupCall(id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<object>>;
    /**
     *
     * @param {string} id
     * @param {EngineUserCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    holdCall(id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Call item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readCall(id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {string} [createdAtFrom]
     * @param {string} [createdAtTo]
     * @param {Array<string>} [userId]
     * @param {Array<string>} [agentId]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [teamId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [gatewayId]
     * @param {string} [durationFrom]
     * @param {string} [durationTo]
     * @param {boolean} [skipParent]
     * @param {string} [parentId]
     * @param {Array<string>} [cause]
     * @param {boolean} [existsFile]
     * @param {string} [domainId]
     * @param {string} [number]
     * @param {Array<string>} [direction]
     * @param {string} [answeredAtFrom]
     * @param {string} [answeredAtTo]
     * @param {boolean} [missed]
     * @param {string} [storedAtFrom]
     * @param {string} [storedAtTo]
     * @param {Array<string>} [supervisorId]
     * @param {Array<string>} [state]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchActiveCall(page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, createdAtFrom?: string | undefined, createdAtTo?: string | undefined, userId?: string[] | undefined, agentId?: string[] | undefined, queueId?: string[] | undefined, teamId?: string[] | undefined, memberId?: string[] | undefined, gatewayId?: string[] | undefined, durationFrom?: string | undefined, durationTo?: string | undefined, skipParent?: boolean | undefined, parentId?: string | undefined, cause?: string[] | undefined, existsFile?: boolean | undefined, domainId?: string | undefined, number?: string | undefined, direction?: string[] | undefined, answeredAtFrom?: string | undefined, answeredAtTo?: string | undefined, missed?: boolean | undefined, storedAtFrom?: string | undefined, storedAtTo?: string | undefined, supervisorId?: string[] | undefined, state?: string[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary List of call
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {string} [createdAtFrom]
     * @param {string} [createdAtTo]
     * @param {Array<string>} [userId]
     * @param {Array<string>} [agentId]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [teamId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [gatewayId]
     * @param {string} [durationFrom]
     * @param {string} [durationTo]
     * @param {boolean} [skipParent]
     * @param {string} [parentId]
     * @param {Array<string>} [cause]
     * @param {boolean} [hasFile]
     * @param {string} [domainId]
     * @param {string} [number]
     * @param {string} [direction]
     * @param {string} [answeredAtFrom]
     * @param {string} [answeredAtTo]
     * @param {boolean} [missed]
     * @param {string} [storedAtFrom]
     * @param {string} [storedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [transferFrom]
     * @param {Array<string>} [transferTo]
     * @param {Array<string>} [dependencyId]
     * @param {Array<string>} [tags]
     * @param {Array<string>} [amdResult]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchHistoryCall(page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, createdAtFrom?: string | undefined, createdAtTo?: string | undefined, userId?: string[] | undefined, agentId?: string[] | undefined, queueId?: string[] | undefined, teamId?: string[] | undefined, memberId?: string[] | undefined, gatewayId?: string[] | undefined, durationFrom?: string | undefined, durationTo?: string | undefined, skipParent?: boolean | undefined, parentId?: string | undefined, cause?: string[] | undefined, hasFile?: boolean | undefined, domainId?: string | undefined, number?: string | undefined, direction?: string | undefined, answeredAtFrom?: string | undefined, answeredAtTo?: string | undefined, missed?: boolean | undefined, storedAtFrom?: string | undefined, storedAtTo?: string | undefined, id?: string[] | undefined, transferFrom?: string[] | undefined, transferTo?: string[] | undefined, dependencyId?: string[] | undefined, tags?: string[] | undefined, amdResult?: string[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {string} id
     * @param {EngineUserCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    unHoldCall(id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {string} callId
     * @param {string} id
     * @param {EngineUpdateCallAnnotationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateCallAnnotation(callId: string, id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * CallServiceApi - factory interface
 * @export
 */
export declare const CallServiceApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @param {EngineAggregateHistoryCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    aggregateHistoryCall(body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {string} id
     * @param {EngineBlindTransferCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    blindTransferCall(id: string, body: any, options?: any): AxiosPromise<object>;
    /**
     *
     * @summary Create e call
     * @param {EngineCreateCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCall(body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {string} callId
     * @param {EngineCreateCallAnnotationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCallAnnotation(callId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {string} callId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteCallAnnotation(callId: string, id: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {string} id
     * @param {EngineDtmfCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    dtmfCall(id: string, body: any, options?: any): AxiosPromise<object>;
    /**
     *
     * @param {string} id
     * @param {EngineEavesdropCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    eavesdropCall(id: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {string} id
     * @param {EngineHangupCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    hangupCall(id: string, body: any, options?: any): AxiosPromise<object>;
    /**
     *
     * @param {string} id
     * @param {EngineUserCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    holdCall(id: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Call item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readCall(id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {string} [createdAtFrom]
     * @param {string} [createdAtTo]
     * @param {Array<string>} [userId]
     * @param {Array<string>} [agentId]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [teamId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [gatewayId]
     * @param {string} [durationFrom]
     * @param {string} [durationTo]
     * @param {boolean} [skipParent]
     * @param {string} [parentId]
     * @param {Array<string>} [cause]
     * @param {boolean} [existsFile]
     * @param {string} [domainId]
     * @param {string} [number]
     * @param {Array<string>} [direction]
     * @param {string} [answeredAtFrom]
     * @param {string} [answeredAtTo]
     * @param {boolean} [missed]
     * @param {string} [storedAtFrom]
     * @param {string} [storedAtTo]
     * @param {Array<string>} [supervisorId]
     * @param {Array<string>} [state]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchActiveCall(page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, createdAtFrom?: string | undefined, createdAtTo?: string | undefined, userId?: string[] | undefined, agentId?: string[] | undefined, queueId?: string[] | undefined, teamId?: string[] | undefined, memberId?: string[] | undefined, gatewayId?: string[] | undefined, durationFrom?: string | undefined, durationTo?: string | undefined, skipParent?: boolean | undefined, parentId?: string | undefined, cause?: string[] | undefined, existsFile?: boolean | undefined, domainId?: string | undefined, number?: string | undefined, direction?: string[] | undefined, answeredAtFrom?: string | undefined, answeredAtTo?: string | undefined, missed?: boolean | undefined, storedAtFrom?: string | undefined, storedAtTo?: string | undefined, supervisorId?: string[] | undefined, state?: string[] | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary List of call
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {string} [createdAtFrom]
     * @param {string} [createdAtTo]
     * @param {Array<string>} [userId]
     * @param {Array<string>} [agentId]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [teamId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [gatewayId]
     * @param {string} [durationFrom]
     * @param {string} [durationTo]
     * @param {boolean} [skipParent]
     * @param {string} [parentId]
     * @param {Array<string>} [cause]
     * @param {boolean} [hasFile]
     * @param {string} [domainId]
     * @param {string} [number]
     * @param {string} [direction]
     * @param {string} [answeredAtFrom]
     * @param {string} [answeredAtTo]
     * @param {boolean} [missed]
     * @param {string} [storedAtFrom]
     * @param {string} [storedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [transferFrom]
     * @param {Array<string>} [transferTo]
     * @param {Array<string>} [dependencyId]
     * @param {Array<string>} [tags]
     * @param {Array<string>} [amdResult]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchHistoryCall(page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, createdAtFrom?: string | undefined, createdAtTo?: string | undefined, userId?: string[] | undefined, agentId?: string[] | undefined, queueId?: string[] | undefined, teamId?: string[] | undefined, memberId?: string[] | undefined, gatewayId?: string[] | undefined, durationFrom?: string | undefined, durationTo?: string | undefined, skipParent?: boolean | undefined, parentId?: string | undefined, cause?: string[] | undefined, hasFile?: boolean | undefined, domainId?: string | undefined, number?: string | undefined, direction?: string | undefined, answeredAtFrom?: string | undefined, answeredAtTo?: string | undefined, missed?: boolean | undefined, storedAtFrom?: string | undefined, storedAtTo?: string | undefined, id?: string[] | undefined, transferFrom?: string[] | undefined, transferTo?: string[] | undefined, dependencyId?: string[] | undefined, tags?: string[] | undefined, amdResult?: string[] | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {string} id
     * @param {EngineUserCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    unHoldCall(id: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {string} callId
     * @param {string} id
     * @param {EngineUpdateCallAnnotationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateCallAnnotation(callId: string, id: string, body: any, options?: any): AxiosPromise<any>;
};
/**
 * CallServiceApi - object-oriented interface
 * @export
 * @class CallServiceApi
 * @extends {BaseAPI}
 */
export declare class CallServiceApi extends BaseAPI {
    /**
     *
     * @param {EngineAggregateHistoryCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    aggregateHistoryCall(body: EngineAggregateHistoryCallRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {string} id
     * @param {EngineBlindTransferCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    blindTransferCall(id: string, body: EngineBlindTransferCallRequest, options?: any): Promise<import("axios").AxiosResponse<object>>;
    /**
     *
     * @summary Create e call
     * @param {EngineCreateCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    createCall(body: EngineCreateCallRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {string} callId
     * @param {EngineCreateCallAnnotationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    createCallAnnotation(callId: string, body: EngineCreateCallAnnotationRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {string} callId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    deleteCallAnnotation(callId: string, id: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {string} id
     * @param {EngineDtmfCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    dtmfCall(id: string, body: EngineDtmfCallRequest, options?: any): Promise<import("axios").AxiosResponse<object>>;
    /**
     *
     * @param {string} id
     * @param {EngineEavesdropCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    eavesdropCall(id: string, body: EngineEavesdropCallRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {string} id
     * @param {EngineHangupCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    hangupCall(id: string, body: EngineHangupCallRequest, options?: any): Promise<import("axios").AxiosResponse<object>>;
    /**
     *
     * @param {string} id
     * @param {EngineUserCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    holdCall(id: string, body: EngineUserCallRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Call item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    readCall(id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {string} [createdAtFrom]
     * @param {string} [createdAtTo]
     * @param {Array<string>} [userId]
     * @param {Array<string>} [agentId]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [teamId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [gatewayId]
     * @param {string} [durationFrom]
     * @param {string} [durationTo]
     * @param {boolean} [skipParent]
     * @param {string} [parentId]
     * @param {Array<string>} [cause]
     * @param {boolean} [existsFile]
     * @param {string} [domainId]
     * @param {string} [number]
     * @param {Array<string>} [direction]
     * @param {string} [answeredAtFrom]
     * @param {string} [answeredAtTo]
     * @param {boolean} [missed]
     * @param {string} [storedAtFrom]
     * @param {string} [storedAtTo]
     * @param {Array<string>} [supervisorId]
     * @param {Array<string>} [state]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    searchActiveCall(page?: number, size?: number, q?: string, sort?: string, fields?: Array<string>, createdAtFrom?: string, createdAtTo?: string, userId?: Array<string>, agentId?: Array<string>, queueId?: Array<string>, teamId?: Array<string>, memberId?: Array<string>, gatewayId?: Array<string>, durationFrom?: string, durationTo?: string, skipParent?: boolean, parentId?: string, cause?: Array<string>, existsFile?: boolean, domainId?: string, number?: string, direction?: Array<string>, answeredAtFrom?: string, answeredAtTo?: string, missed?: boolean, storedAtFrom?: string, storedAtTo?: string, supervisorId?: Array<string>, state?: Array<string>, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary List of call
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {string} [createdAtFrom]
     * @param {string} [createdAtTo]
     * @param {Array<string>} [userId]
     * @param {Array<string>} [agentId]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [teamId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [gatewayId]
     * @param {string} [durationFrom]
     * @param {string} [durationTo]
     * @param {boolean} [skipParent]
     * @param {string} [parentId]
     * @param {Array<string>} [cause]
     * @param {boolean} [hasFile]
     * @param {string} [domainId]
     * @param {string} [number]
     * @param {string} [direction]
     * @param {string} [answeredAtFrom]
     * @param {string} [answeredAtTo]
     * @param {boolean} [missed]
     * @param {string} [storedAtFrom]
     * @param {string} [storedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [transferFrom]
     * @param {Array<string>} [transferTo]
     * @param {Array<string>} [dependencyId]
     * @param {Array<string>} [tags]
     * @param {Array<string>} [amdResult]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    searchHistoryCall(page?: number, size?: number, q?: string, sort?: string, fields?: Array<string>, createdAtFrom?: string, createdAtTo?: string, userId?: Array<string>, agentId?: Array<string>, queueId?: Array<string>, teamId?: Array<string>, memberId?: Array<string>, gatewayId?: Array<string>, durationFrom?: string, durationTo?: string, skipParent?: boolean, parentId?: string, cause?: Array<string>, hasFile?: boolean, domainId?: string, number?: string, direction?: string, answeredAtFrom?: string, answeredAtTo?: string, missed?: boolean, storedAtFrom?: string, storedAtTo?: string, id?: Array<string>, transferFrom?: Array<string>, transferTo?: Array<string>, dependencyId?: Array<string>, tags?: Array<string>, amdResult?: Array<string>, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {string} id
     * @param {EngineUserCallRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    unHoldCall(id: string, body: EngineUserCallRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {string} callId
     * @param {string} id
     * @param {EngineUpdateCallAnnotationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CallServiceApi
     */
    updateCallAnnotation(callId: string, id: string, body: EngineUpdateCallAnnotationRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
}
//# sourceMappingURL=call-service-api.d.ts.map