/**
 * Webitel engine API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 20.12.0
 * Contact: support@webitel.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { EngineCreateListCommunicationRequest } from '../api';
import { EngineCreateListRequest } from '../api';
import { EngineUpdateListCommunicationRequest } from '../api';
import { EngineUpdateListRequest } from '../api';
/**
 * ListServiceApi - axios parameter creator
 * @export
 */
export declare const ListServiceApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Create List
     * @param {EngineCreateListRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createList: (body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create ListCommunication
     * @param {string} listId
     * @param {EngineCreateListCommunicationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createListCommunication: (listId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove list
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteList: (id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove ListCommunication
     * @param {string} listId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteListCommunication: (listId: string, id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readList: (id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List item
     * @param {string} listId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readListCommunication: (listId: string, id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List of List
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchList: (page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List of List
     * @param {string} listId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchListCommunication: (listId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update list
     * @param {string} id
     * @param {EngineUpdateListRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateList: (id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update ListCommunication
     * @param {string} listId
     * @param {string} id
     * @param {EngineUpdateListCommunicationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateListCommunication: (listId: string, id: string, body: any, options?: any) => Promise<RequestArgs>;
};
/**
 * ListServiceApi - functional programming interface
 * @export
 */
export declare const ListServiceApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Create List
     * @param {EngineCreateListRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createList(body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Create ListCommunication
     * @param {string} listId
     * @param {EngineCreateListCommunicationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createListCommunication(listId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Remove list
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteList(id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Remove ListCommunication
     * @param {string} listId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteListCommunication(listId: string, id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary List item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readList(id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary List item
     * @param {string} listId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readListCommunication(listId: string, id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary List of List
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchList(page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary List of List
     * @param {string} listId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchListCommunication(listId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Update list
     * @param {string} id
     * @param {EngineUpdateListRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateList(id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Update ListCommunication
     * @param {string} listId
     * @param {string} id
     * @param {EngineUpdateListCommunicationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateListCommunication(listId: string, id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * ListServiceApi - factory interface
 * @export
 */
export declare const ListServiceApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Create List
     * @param {EngineCreateListRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createList(body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Create ListCommunication
     * @param {string} listId
     * @param {EngineCreateListCommunicationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createListCommunication(listId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Remove list
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteList(id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Remove ListCommunication
     * @param {string} listId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteListCommunication(listId: string, id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary List item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readList(id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary List item
     * @param {string} listId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readListCommunication(listId: string, id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary List of List
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchList(page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary List of List
     * @param {string} listId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchListCommunication(listId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Update list
     * @param {string} id
     * @param {EngineUpdateListRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateList(id: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Update ListCommunication
     * @param {string} listId
     * @param {string} id
     * @param {EngineUpdateListCommunicationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateListCommunication(listId: string, id: string, body: any, options?: any): AxiosPromise<any>;
};
/**
 * ListServiceApi - object-oriented interface
 * @export
 * @class ListServiceApi
 * @extends {BaseAPI}
 */
export declare class ListServiceApi extends BaseAPI {
    /**
     *
     * @summary Create List
     * @param {EngineCreateListRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    createList(body: EngineCreateListRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Create ListCommunication
     * @param {string} listId
     * @param {EngineCreateListCommunicationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    createListCommunication(listId: string, body: EngineCreateListCommunicationRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Remove list
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    deleteList(id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Remove ListCommunication
     * @param {string} listId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    deleteListCommunication(listId: string, id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary List item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    readList(id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary List item
     * @param {string} listId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    readListCommunication(listId: string, id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary List of List
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    searchList(page?: number, size?: number, q?: string, sort?: string, fields?: Array<string>, id?: Array<number>, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary List of List
     * @param {string} listId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    searchListCommunication(listId: string, page?: number, size?: number, q?: string, sort?: string, fields?: Array<string>, id?: Array<number>, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Update list
     * @param {string} id
     * @param {EngineUpdateListRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    updateList(id: string, body: EngineUpdateListRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Update ListCommunication
     * @param {string} listId
     * @param {string} id
     * @param {EngineUpdateListCommunicationRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ListServiceApi
     */
    updateListCommunication(listId: string, id: string, body: EngineUpdateListCommunicationRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
}
//# sourceMappingURL=list-service-api.d.ts.map