/**
 * Webitel engine API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 20.12.0
 * Contact: support@webitel.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { EngineAttemptCallbackRequest } from '../api';
import { EngineAttemptRenewalResultRequest } from '../api';
import { EngineAttemptResultRequest } from '../api';
import { EngineCreateAttemptRequest } from '../api';
import { EngineCreateMemberBulkRequest } from '../api';
import { EngineCreateMemberRequest } from '../api';
import { EngineDeleteMembersRequest } from '../api';
import { EnginePatchMemberRequest } from '../api';
import { EngineResetMembersRequest } from '../api';
import { EngineUpdateMemberRequest } from '../api';
/**
 * MemberServiceApi - axios parameter creator
 * @export
 */
export declare const MemberServiceApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptCallbackRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    attemptCallback: (attemptId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {number} queueId
     * @param {string} memberId
     * @param {string} attemptId
     * @param {EngineAttemptResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    attemptResult: (queueId: number, memberId: string, attemptId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptRenewalResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    attemptsRenewalResult: (attemptId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Offline queue
     * @param {string} queueId
     * @param {string} memberId
     * @param {EngineCreateAttemptRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createAttempt: (queueId: string, memberId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createMember: (queueId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberBulkRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createMemberBulk: (queueId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary DeleteMember
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteMember: (queueId: string, id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary DeleteMembers
     * @param {string} queueId
     * @param {EngineDeleteMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteMembers: (queueId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Patch Member
     * @param {string} queueId
     * @param {string} id
     * @param {EnginePatchMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    patchMember: (queueId: string, id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary ReadQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readMember: (queueId: string, id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary ResetMembers
     * @param {string} queueId
     * @param {EngineResetMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    resetMembers: (queueId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary SearchAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchAttempts: (page?: number | undefined, size?: number | undefined, joinedAtFrom?: string | undefined, joinedAtTo?: string | undefined, id?: string[] | undefined, queueId?: string[] | undefined, bucketId?: string[] | undefined, memberId?: string[] | undefined, agentId?: string[] | undefined, result?: string | undefined, fields?: string[] | undefined, sort?: string | undefined, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary SearchMemberAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchAttemptsHistory: (page?: number | undefined, size?: number | undefined, joinedAtFrom?: string | undefined, joinedAtTo?: string | undefined, id?: string[] | undefined, queueId?: string[] | undefined, bucketId?: string[] | undefined, memberId?: string[] | undefined, agentId?: string[] | undefined, result?: string | undefined, fields?: string[] | undefined, sort?: string | undefined, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary SearchMemberAttempts
     * @param {string} queueId
     * @param {string} memberId
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchMemberAttempts: (queueId: string, memberId: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List of Member
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchMemberInQueue: (queueId: string, page?: number | undefined, size?: number | undefined, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Search of Member
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [id]
     * @param {string} [queueId]
     * @param {number} [bucketId]
     * @param {string} [destination]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchMembers: (page?: number | undefined, size?: number | undefined, id?: string | undefined, queueId?: string | undefined, bucketId?: number | undefined, destination?: string | undefined, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary UpdateMember
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateMember: (queueId: string, id: string, body: any, options?: any) => Promise<RequestArgs>;
};
/**
 * MemberServiceApi - functional programming interface
 * @export
 */
export declare const MemberServiceApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptCallbackRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    attemptCallback(attemptId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {number} queueId
     * @param {string} memberId
     * @param {string} attemptId
     * @param {EngineAttemptResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    attemptResult(queueId: number, memberId: string, attemptId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptRenewalResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    attemptsRenewalResult(attemptId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<object>>;
    /**
     *
     * @summary Offline queue
     * @param {string} queueId
     * @param {string} memberId
     * @param {EngineCreateAttemptRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createAttempt(queueId: string, memberId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createMember(queueId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberBulkRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createMemberBulk(queueId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary DeleteMember
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteMember(queueId: string, id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary DeleteMembers
     * @param {string} queueId
     * @param {EngineDeleteMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteMembers(queueId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Patch Member
     * @param {string} queueId
     * @param {string} id
     * @param {EnginePatchMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    patchMember(queueId: string, id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary ReadQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readMember(queueId: string, id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary ResetMembers
     * @param {string} queueId
     * @param {EngineResetMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    resetMembers(queueId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary SearchAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchAttempts(page?: number | undefined, size?: number | undefined, joinedAtFrom?: string | undefined, joinedAtTo?: string | undefined, id?: string[] | undefined, queueId?: string[] | undefined, bucketId?: string[] | undefined, memberId?: string[] | undefined, agentId?: string[] | undefined, result?: string | undefined, fields?: string[] | undefined, sort?: string | undefined, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary SearchMemberAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchAttemptsHistory(page?: number | undefined, size?: number | undefined, joinedAtFrom?: string | undefined, joinedAtTo?: string | undefined, id?: string[] | undefined, queueId?: string[] | undefined, bucketId?: string[] | undefined, memberId?: string[] | undefined, agentId?: string[] | undefined, result?: string | undefined, fields?: string[] | undefined, sort?: string | undefined, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary SearchMemberAttempts
     * @param {string} queueId
     * @param {string} memberId
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchMemberAttempts(queueId: string, memberId: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary List of Member
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchMemberInQueue(queueId: string, page?: number | undefined, size?: number | undefined, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Search of Member
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [id]
     * @param {string} [queueId]
     * @param {number} [bucketId]
     * @param {string} [destination]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchMembers(page?: number | undefined, size?: number | undefined, id?: string | undefined, queueId?: string | undefined, bucketId?: number | undefined, destination?: string | undefined, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary UpdateMember
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateMember(queueId: string, id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * MemberServiceApi - factory interface
 * @export
 */
export declare const MemberServiceApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptCallbackRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    attemptCallback(attemptId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {number} queueId
     * @param {string} memberId
     * @param {string} attemptId
     * @param {EngineAttemptResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    attemptResult(queueId: number, memberId: string, attemptId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptRenewalResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    attemptsRenewalResult(attemptId: string, body: any, options?: any): AxiosPromise<object>;
    /**
     *
     * @summary Offline queue
     * @param {string} queueId
     * @param {string} memberId
     * @param {EngineCreateAttemptRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createAttempt(queueId: string, memberId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createMember(queueId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberBulkRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createMemberBulk(queueId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary DeleteMember
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteMember(queueId: string, id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary DeleteMembers
     * @param {string} queueId
     * @param {EngineDeleteMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteMembers(queueId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Patch Member
     * @param {string} queueId
     * @param {string} id
     * @param {EnginePatchMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    patchMember(queueId: string, id: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary ReadQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readMember(queueId: string, id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary ResetMembers
     * @param {string} queueId
     * @param {EngineResetMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    resetMembers(queueId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary SearchAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchAttempts(page?: number | undefined, size?: number | undefined, joinedAtFrom?: string | undefined, joinedAtTo?: string | undefined, id?: string[] | undefined, queueId?: string[] | undefined, bucketId?: string[] | undefined, memberId?: string[] | undefined, agentId?: string[] | undefined, result?: string | undefined, fields?: string[] | undefined, sort?: string | undefined, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary SearchMemberAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchAttemptsHistory(page?: number | undefined, size?: number | undefined, joinedAtFrom?: string | undefined, joinedAtTo?: string | undefined, id?: string[] | undefined, queueId?: string[] | undefined, bucketId?: string[] | undefined, memberId?: string[] | undefined, agentId?: string[] | undefined, result?: string | undefined, fields?: string[] | undefined, sort?: string | undefined, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary SearchMemberAttempts
     * @param {string} queueId
     * @param {string} memberId
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchMemberAttempts(queueId: string, memberId: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary List of Member
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchMemberInQueue(queueId: string, page?: number | undefined, size?: number | undefined, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Search of Member
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [id]
     * @param {string} [queueId]
     * @param {number} [bucketId]
     * @param {string} [destination]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchMembers(page?: number | undefined, size?: number | undefined, id?: string | undefined, queueId?: string | undefined, bucketId?: number | undefined, destination?: string | undefined, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary UpdateMember
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateMember(queueId: string, id: string, body: any, options?: any): AxiosPromise<any>;
};
/**
 * MemberServiceApi - object-oriented interface
 * @export
 * @class MemberServiceApi
 * @extends {BaseAPI}
 */
export declare class MemberServiceApi extends BaseAPI {
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptCallbackRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    attemptCallback(attemptId: string, body: EngineAttemptCallbackRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {number} queueId
     * @param {string} memberId
     * @param {string} attemptId
     * @param {EngineAttemptResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    attemptResult(queueId: number, memberId: string, attemptId: string, body: EngineAttemptResultRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptRenewalResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    attemptsRenewalResult(attemptId: string, body: EngineAttemptRenewalResultRequest, options?: any): Promise<import("axios").AxiosResponse<object>>;
    /**
     *
     * @summary Offline queue
     * @param {string} queueId
     * @param {string} memberId
     * @param {EngineCreateAttemptRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    createAttempt(queueId: string, memberId: string, body: EngineCreateAttemptRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    createMember(queueId: string, body: EngineCreateMemberRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberBulkRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    createMemberBulk(queueId: string, body: EngineCreateMemberBulkRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary DeleteMember
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    deleteMember(queueId: string, id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary DeleteMembers
     * @param {string} queueId
     * @param {EngineDeleteMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    deleteMembers(queueId: string, body: EngineDeleteMembersRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Patch Member
     * @param {string} queueId
     * @param {string} id
     * @param {EnginePatchMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    patchMember(queueId: string, id: string, body: EnginePatchMemberRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary ReadQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    readMember(queueId: string, id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary ResetMembers
     * @param {string} queueId
     * @param {EngineResetMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    resetMembers(queueId: string, body: EngineResetMembersRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary SearchAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchAttempts(page?: number, size?: number, joinedAtFrom?: string, joinedAtTo?: string, id?: Array<string>, queueId?: Array<string>, bucketId?: Array<string>, memberId?: Array<string>, agentId?: Array<string>, result?: string, fields?: Array<string>, sort?: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary SearchMemberAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchAttemptsHistory(page?: number, size?: number, joinedAtFrom?: string, joinedAtTo?: string, id?: Array<string>, queueId?: Array<string>, bucketId?: Array<string>, memberId?: Array<string>, agentId?: Array<string>, result?: string, fields?: Array<string>, sort?: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary SearchMemberAttempts
     * @param {string} queueId
     * @param {string} memberId
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchMemberAttempts(queueId: string, memberId: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary List of Member
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchMemberInQueue(queueId: string, page?: number, size?: number, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Search of Member
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [id]
     * @param {string} [queueId]
     * @param {number} [bucketId]
     * @param {string} [destination]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchMembers(page?: number, size?: number, id?: string, queueId?: string, bucketId?: number, destination?: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary UpdateMember
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    updateMember(queueId: string, id: string, body: EngineUpdateMemberRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
}
//# sourceMappingURL=member-service-api.d.ts.map