/**
 * Webitel engine API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 20.12.0
 * Contact: support@webitel.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { EngineCreateOutboundResourceDisplayRequest } from '../api';
import { EngineCreateOutboundResourceRequest } from '../api';
import { EnginePatchOutboundResourceRequest } from '../api';
import { EngineUpdateOutboundResourceDisplayRequest } from '../api';
import { EngineUpdateOutboundResourceRequest } from '../api';
/**
 * OutboundResourceServiceApi - axios parameter creator
 * @export
 */
export declare const OutboundResourceServiceApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Create OutboundResource
     * @param {EngineCreateOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOutboundResource: (body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create CreateOutboundResourceDisplay
     * @param {string} resourceId
     * @param {EngineCreateOutboundResourceDisplayRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOutboundResourceDisplay: (resourceId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove OutboundResource
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteOutboundResource: (id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove ResourceDisplay
     * @param {string} resourceId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteOutboundResourceDisplay: (resourceId: string, id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Patch OutboundResource
     * @param {string} id
     * @param {EnginePatchOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    patchOutboundResource: (id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary OutboundResource item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readOutboundResource: (id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary ResourceDisplay item
     * @param {string} resourceId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readOutboundResourceDisplay: (resourceId: string, id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List of OutboundResource
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchOutboundResource: (page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List of ResourceDisplay
     * @param {string} resourceId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchOutboundResourceDisplay: (resourceId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update OutboundResource
     * @param {string} id
     * @param {EngineUpdateOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateOutboundResource: (id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update ResourceDisplay
     * @param {string} resourceId
     * @param {string} id
     * @param {EngineUpdateOutboundResourceDisplayRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateOutboundResourceDisplay: (resourceId: string, id: string, body: any, options?: any) => Promise<RequestArgs>;
};
/**
 * OutboundResourceServiceApi - functional programming interface
 * @export
 */
export declare const OutboundResourceServiceApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Create OutboundResource
     * @param {EngineCreateOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOutboundResource(body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Create CreateOutboundResourceDisplay
     * @param {string} resourceId
     * @param {EngineCreateOutboundResourceDisplayRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOutboundResourceDisplay(resourceId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Remove OutboundResource
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteOutboundResource(id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Remove ResourceDisplay
     * @param {string} resourceId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteOutboundResourceDisplay(resourceId: string, id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Patch OutboundResource
     * @param {string} id
     * @param {EnginePatchOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    patchOutboundResource(id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary OutboundResource item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readOutboundResource(id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary ResourceDisplay item
     * @param {string} resourceId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readOutboundResourceDisplay(resourceId: string, id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary List of OutboundResource
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchOutboundResource(page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary List of ResourceDisplay
     * @param {string} resourceId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchOutboundResourceDisplay(resourceId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Update OutboundResource
     * @param {string} id
     * @param {EngineUpdateOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateOutboundResource(id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Update ResourceDisplay
     * @param {string} resourceId
     * @param {string} id
     * @param {EngineUpdateOutboundResourceDisplayRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateOutboundResourceDisplay(resourceId: string, id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * OutboundResourceServiceApi - factory interface
 * @export
 */
export declare const OutboundResourceServiceApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Create OutboundResource
     * @param {EngineCreateOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOutboundResource(body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Create CreateOutboundResourceDisplay
     * @param {string} resourceId
     * @param {EngineCreateOutboundResourceDisplayRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOutboundResourceDisplay(resourceId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Remove OutboundResource
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteOutboundResource(id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Remove ResourceDisplay
     * @param {string} resourceId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteOutboundResourceDisplay(resourceId: string, id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Patch OutboundResource
     * @param {string} id
     * @param {EnginePatchOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    patchOutboundResource(id: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary OutboundResource item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readOutboundResource(id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary ResourceDisplay item
     * @param {string} resourceId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readOutboundResourceDisplay(resourceId: string, id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary List of OutboundResource
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchOutboundResource(page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary List of ResourceDisplay
     * @param {string} resourceId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchOutboundResourceDisplay(resourceId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Update OutboundResource
     * @param {string} id
     * @param {EngineUpdateOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateOutboundResource(id: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Update ResourceDisplay
     * @param {string} resourceId
     * @param {string} id
     * @param {EngineUpdateOutboundResourceDisplayRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateOutboundResourceDisplay(resourceId: string, id: string, body: any, options?: any): AxiosPromise<any>;
};
/**
 * OutboundResourceServiceApi - object-oriented interface
 * @export
 * @class OutboundResourceServiceApi
 * @extends {BaseAPI}
 */
export declare class OutboundResourceServiceApi extends BaseAPI {
    /**
     *
     * @summary Create OutboundResource
     * @param {EngineCreateOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    createOutboundResource(body: EngineCreateOutboundResourceRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Create CreateOutboundResourceDisplay
     * @param {string} resourceId
     * @param {EngineCreateOutboundResourceDisplayRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    createOutboundResourceDisplay(resourceId: string, body: EngineCreateOutboundResourceDisplayRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Remove OutboundResource
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    deleteOutboundResource(id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Remove ResourceDisplay
     * @param {string} resourceId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    deleteOutboundResourceDisplay(resourceId: string, id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Patch OutboundResource
     * @param {string} id
     * @param {EnginePatchOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    patchOutboundResource(id: string, body: EnginePatchOutboundResourceRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary OutboundResource item
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    readOutboundResource(id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary ResourceDisplay item
     * @param {string} resourceId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    readOutboundResourceDisplay(resourceId: string, id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary List of OutboundResource
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    searchOutboundResource(page?: number, size?: number, q?: string, sort?: string, fields?: Array<string>, id?: Array<number>, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary List of ResourceDisplay
     * @param {string} resourceId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    searchOutboundResourceDisplay(resourceId: string, page?: number, size?: number, q?: string, sort?: string, fields?: Array<string>, id?: Array<number>, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Update OutboundResource
     * @param {string} id
     * @param {EngineUpdateOutboundResourceRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    updateOutboundResource(id: string, body: EngineUpdateOutboundResourceRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary Update ResourceDisplay
     * @param {string} resourceId
     * @param {string} id
     * @param {EngineUpdateOutboundResourceDisplayRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OutboundResourceServiceApi
     */
    updateOutboundResourceDisplay(resourceId: string, id: string, body: EngineUpdateOutboundResourceDisplayRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
}
//# sourceMappingURL=outbound-resource-service-api.d.ts.map