/**
 * Webitel engine API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 20.12.0
 * Contact: support@webitel.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { EngineCreateQueueBucketRequest } from '../api';
import { EnginePatchQueueBucketRequest } from '../api';
import { EngineUpdateQueueBucketRequest } from '../api';
/**
 * QueueBucketServiceApi - axios parameter creator
 * @export
 */
export declare const QueueBucketServiceApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Create QueueBucket
     * @param {string} queueId
     * @param {EngineCreateQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createQueueBucket: (queueId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary DeleteQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteQueueBucket: (queueId: string, id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @param {string} queueId
     * @param {string} id
     * @param {EnginePatchQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    patchQueueBucket: (queueId: string, id: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary ReadQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readQueueBucket: (queueId: string, id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary SearchQueueRouting
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchQueueBucket: (queueId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary UpdateQueueBucket
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateQueueBucket: (queueId: string, id: string, body: any, options?: any) => Promise<RequestArgs>;
};
/**
 * QueueBucketServiceApi - functional programming interface
 * @export
 */
export declare const QueueBucketServiceApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Create QueueBucket
     * @param {string} queueId
     * @param {EngineCreateQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createQueueBucket(queueId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary DeleteQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteQueueBucket(queueId: string, id: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @param {string} queueId
     * @param {string} id
     * @param {EnginePatchQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    patchQueueBucket(queueId: string, id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary ReadQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readQueueBucket(queueId: string, id: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary SearchQueueRouting
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchQueueBucket(queueId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary UpdateQueueBucket
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateQueueBucket(queueId: string, id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * QueueBucketServiceApi - factory interface
 * @export
 */
export declare const QueueBucketServiceApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Create QueueBucket
     * @param {string} queueId
     * @param {EngineCreateQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createQueueBucket(queueId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary DeleteQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteQueueBucket(queueId: string, id: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @param {string} queueId
     * @param {string} id
     * @param {EnginePatchQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    patchQueueBucket(queueId: string, id: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary ReadQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readQueueBucket(queueId: string, id: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary SearchQueueRouting
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchQueueBucket(queueId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary UpdateQueueBucket
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateQueueBucket(queueId: string, id: string, body: any, options?: any): AxiosPromise<any>;
};
/**
 * QueueBucketServiceApi - object-oriented interface
 * @export
 * @class QueueBucketServiceApi
 * @extends {BaseAPI}
 */
export declare class QueueBucketServiceApi extends BaseAPI {
    /**
     *
     * @summary Create QueueBucket
     * @param {string} queueId
     * @param {EngineCreateQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueBucketServiceApi
     */
    createQueueBucket(queueId: string, body: EngineCreateQueueBucketRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary DeleteQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueBucketServiceApi
     */
    deleteQueueBucket(queueId: string, id: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @param {string} queueId
     * @param {string} id
     * @param {EnginePatchQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueBucketServiceApi
     */
    patchQueueBucket(queueId: string, id: string, body: EnginePatchQueueBucketRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary ReadQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueBucketServiceApi
     */
    readQueueBucket(queueId: string, id: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary SearchQueueRouting
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueBucketServiceApi
     */
    searchQueueBucket(queueId: string, page?: number, size?: number, q?: string, sort?: string, fields?: Array<string>, id?: Array<number>, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary UpdateQueueBucket
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateQueueBucketRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueBucketServiceApi
     */
    updateQueueBucket(queueId: string, id: string, body: EngineUpdateQueueBucketRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
}
//# sourceMappingURL=queue-bucket-service-api.d.ts.map