/**
 * Webitel engine API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 20.12.0
 * Contact: support@webitel.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { EngineCreateQueueResourceGroupRequest } from '../api';
import { EngineUpdateQueueResourceGroupRequest } from '../api';
/**
 * QueueResourcesServiceApi - axios parameter creator
 * @export
 */
export declare const QueueResourcesServiceApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary CreateQueueResourceGroup
     * @param {string} queueId
     * @param {EngineCreateQueueResourceGroupRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createQueueResourceGroup: (queueId: string, body: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary DeleteQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteQueueResourceGroup: (queueId: string, id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary ReadQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readQueueResourceGroup: (queueId: string, id: string, domainId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary SearchQueueResourceGroup
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchQueueResourceGroup: (queueId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary UpdateQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateQueueResourceGroupRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateQueueResourceGroup: (queueId: string, id: string, body: any, options?: any) => Promise<RequestArgs>;
};
/**
 * QueueResourcesServiceApi - functional programming interface
 * @export
 */
export declare const QueueResourcesServiceApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary CreateQueueResourceGroup
     * @param {string} queueId
     * @param {EngineCreateQueueResourceGroupRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createQueueResourceGroup(queueId: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary DeleteQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteQueueResourceGroup(queueId: string, id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary ReadQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readQueueResourceGroup(queueId: string, id: string, domainId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary SearchQueueResourceGroup
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchQueueResourceGroup(queueId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary UpdateQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateQueueResourceGroupRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateQueueResourceGroup(queueId: string, id: string, body: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * QueueResourcesServiceApi - factory interface
 * @export
 */
export declare const QueueResourcesServiceApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary CreateQueueResourceGroup
     * @param {string} queueId
     * @param {EngineCreateQueueResourceGroupRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createQueueResourceGroup(queueId: string, body: any, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary DeleteQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteQueueResourceGroup(queueId: string, id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary ReadQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    readQueueResourceGroup(queueId: string, id: string, domainId?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary SearchQueueResourceGroup
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchQueueResourceGroup(queueId: string, page?: number | undefined, size?: number | undefined, q?: string | undefined, sort?: string | undefined, fields?: string[] | undefined, id?: number[] | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary UpdateQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateQueueResourceGroupRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateQueueResourceGroup(queueId: string, id: string, body: any, options?: any): AxiosPromise<any>;
};
/**
 * QueueResourcesServiceApi - object-oriented interface
 * @export
 * @class QueueResourcesServiceApi
 * @extends {BaseAPI}
 */
export declare class QueueResourcesServiceApi extends BaseAPI {
    /**
     *
     * @summary CreateQueueResourceGroup
     * @param {string} queueId
     * @param {EngineCreateQueueResourceGroupRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueResourcesServiceApi
     */
    createQueueResourceGroup(queueId: string, body: EngineCreateQueueResourceGroupRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary DeleteQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueResourcesServiceApi
     */
    deleteQueueResourceGroup(queueId: string, id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary ReadQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueResourcesServiceApi
     */
    readQueueResourceGroup(queueId: string, id: string, domainId?: string, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary SearchQueueResourceGroup
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueResourcesServiceApi
     */
    searchQueueResourceGroup(queueId: string, page?: number, size?: number, q?: string, sort?: string, fields?: Array<string>, id?: Array<number>, options?: any): Promise<import("axios").AxiosResponse<any>>;
    /**
     *
     * @summary UpdateQueueResourceGroup
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateQueueResourceGroupRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueResourcesServiceApi
     */
    updateQueueResourceGroup(queueId: string, id: string, body: EngineUpdateQueueResourceGroupRequest, options?: any): Promise<import("axios").AxiosResponse<any>>;
}
//# sourceMappingURL=queue-resources-service-api.d.ts.map